> ## Documentation Index
> Fetch the complete documentation index at: https://steamgold.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Доступные валюты

> Возвращает список доступных валют в Steam



## OpenAPI

````yaml GET /currency/available
openapi: 3.0.1
info:
  title: OpenAPI SteamGold
  description: Is used for steamgold API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.steamgold.dev/v1
security:
  - bearerAuth: []
paths:
  /currency/available:
    get:
      description: Возвращает список доступных валют в Steam
      responses:
        '200':
          description: Список валют
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CurrencyAvailableResponse'
        '400':
          description: Пользователь не настроил токен Steam Currency
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Отсутствует авторизация
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CurrencyAvailableResponse:
      type: object
      description: Ответ со списком доступных валют
      properties:
        status:
          type: integer
          description: HTTP-код ответа
        items:
          type: array
          description: Список валют
          items:
            $ref: '#/components/schemas/CurrencyAvailableItem'
        total:
          type: integer
          description: Количество записей в ответе
        message:
          type: string
          description: Дополнительное сообщение
    Error:
      required:
        - code
        - message
      type: object
      properties:
        code:
          description: HTTP-код ответа
          type: integer
          format: int32
        message:
          description: Сообщение об ошибке
          type: string
    CurrencyAvailableItem:
      type: object
      properties:
        currency_code:
          type: string
          description: Код валюты
        description:
          type: string
          description: Описание валюты
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````